%def_enable doc
%define realname gecko-sharp-2.0
 
Name: libgecko-sharp2
Version: 0.13
Release: alt3

Summary: Gecko bindings for Mono
License: GPL
Group: Development/Other
URL: http://www.mono-project.com/
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source: http://go-mono.com/sources/%realname/%realname-%version.tar.bz2
Patch1: gecko-sharp2-0.13-alt-monodoc.patch
Patch2: gecko-sharp2-0.13-alt-libxul.patch

Requires: xulrunner-libs

BuildPreReq: rpm-build-mono
BuildPreReq: libgtk-sharp2-devel >= 1.9.0
BuildPreReq: libgtk+2-devel >= 2.0.0

BuildRequires: mono-mcs mono-devel gcc-c++ 
BuildRequires: /proc

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Summary: Development files %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
This package includes development files for the %name.

%if_enabled doc
%package doc
Summary: Development documentation for %realname
Group: Documentation
Provides: %name-monodoc = %version-%release
Obsoletes: %name-monodoc 
BuildPreReq: monodoc-devel
Requires: monodoc
BuildArch: noarch

%description doc
This package contains the API documentation for the %realname in
Monodoc format.
%endif

%prep
%setup -q -n %realname-%version
%patch1 -p1
%patch2 -p1 

subst "s|^pkgconfigdir = ..prefix./lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	Makefile.am

%build
%autoreconf
%configure --disable-static 
%make

%install
%make_install DESTDIR=%buildroot install

%files
%_monogacdir/*
%_monodir/gecko-sharp-2.0

%files devel
%_pkgconfigdir/*

%if_enabled doc
%files doc
%_monodocdir/*
%endif

%changelog
* Wed Jul 08 2009 Alexey Shabalin <shaba@altlinux.ru> 0.13-alt3
- move pkgconfig files from main to devel package

* Mon Dec 01 2008 Alexey Shabalin <shaba@altlinux.ru> 0.13-alt2
- rebuild with new macros _monodocdir
- build with xulrunner-libs-1.9

* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.13-alt1
- 0.13

* Tue Nov 27 2007 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt2
- add --disable-static to configure
- rebuild with new rpm-build-mono-1.2
- drop devel package (pkgconfig file move to main package)

* Tue Mar 20 2007 Ildar Mulyukov <ildar@altlinux.ru> 0.12-alt1
- 0.12
- parallel build turned off
- removed mono-tools dep

* Fri Oct 13 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt3
- fixed pkgconfigdir for x86_64 build

* Wed Oct 11 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.11-alt2
- rpm-build-mono support
- a little cleanup

* Tue Oct 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.11-alt1
- Initial build for version 2
